Get all currencies
curl --request GET \
--url https://gateway.varchev.com/wallet/getAll/currencies \
--header 'Authorization: Bearer <token>' \
--header 'tenantId: <tenantid>'import requests
url = "https://gateway.varchev.com/wallet/getAll/currencies"
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {tenantId: '<tenantid>', Authorization: 'Bearer <token>'}
};
fetch('https://gateway.varchev.com/wallet/getAll/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"name": "<string>",
"decimal": 123,
"max_value": 123,
"aliases": [
{
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"name": "<string>",
"shortname": "<string>",
"scale": 123,
"sign": "<string>",
"picture": "<string>",
"default": true,
"ownerId": "<string>"
}
],
"blockchain": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"name": "<string>",
"definition": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"ownerId": "<string>",
"data": [
{
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"name": "<string>",
"value": "<string>"
}
]
}
}
}
]Currency
Get all currencies
GET
/
getAll
/
currencies
Get all currencies
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant Id
Query Parameters
⌘I

